#include "muses.h"

float volume_left = -32;  // 0 to -111.75 in 0.25 steps
float volume_right = -32;

void setup() {
  delay(1000);
  musesBegin();
  setvolume();
  delay(3000);
  mute(0, 0);
  mute(0, 1);
  delay(3000);
  setvolume();
}

void loop() {}

void setvolume() {
  dezibel(0, volume_left, volume_right); // address, left, right
}

/*

  Volume: 0 to 100:
  void volume (uint8_t chip_address, uint8_t volume_left, uint8_t volume_right);

  Attenuation: 0 to 447 (447 = full attenuation = silent):
  attenuation(uint8_t chip_address, uint8_t channel, uint16_t attenuation);

  Mute:
  mute(uint8_t chip_address, uint8_t channel);

  GAIN: 0 to 7:
  gain(uint8_t chip_address, uint8_t gain_left, uint8_t gain_right);

*/
